%define version 0.85RC3
%define name emacs-Mule-UCS
%define release 1mdk
%define origname Mule-UCS-current

Summary: Mule-UCS is a coding system and character code translator system.
Summary(ja): Mule-UCSはコーディングシステムと文字コードを変換するツールです。
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL
Group: Editors
Source0: ftp://ftp.m17n.org/pub/mule/Mule-UCS/test/%{origname}.tar.gz
Source1: Mule-UCS.el.tar.gz
Requires: emacs
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Packager: Hayato YOKOTA <yokochie@gmail.com>

%description
MULE-UCS is a character code translator.  This has an universal ability to
translate from any character sets to any, and constract new coding systems
easily.
And MULE-UCS have a package to translate between MULE INTERNAL CODE and
ISO-10646, So you can handle ISO-10646 based coding systems on

%description -l ja
MULE-UCS は文字コードの変換ツールで、容易に文字コードを万国的に変換できます。
MULE-UCS はさらに、MULE 内部コード(MULE INTERNAL CODE)と ISO-10646 間の変換が出来ます。

%prep
%setup -n %{origname} -q
%setup -D -T -a 1 -n %{origname} -q

%build
emacs -q --no-site-file -batch -l mucs-comp.el
cd lisp/jisx0213
emacs -q --no-site-file -batch -l x0213-comp.el
cd ../big5conv/
emacs -q --no-site-file -batch -l big5-comp.el

%install
install -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}
cp -r lisp/*.el* $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/
install -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/reldata
cp -r lisp/reldata/*.el* $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/reldata
install -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/jisx0213
cp -r lisp/jisx0213/*.el* $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/jisx0213
install -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/big5conv
cp -r lisp/big5conv/*.el* $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{origname}/big5conv
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/emacs/site-start.d
cp Mule-UCS.el $RPM_BUILD_ROOT/%{_sysconfdir}/emacs/site-start.d/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING lisp/ChangeLog lisp/README* lisp/type.txt doc/*
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*

%changelog
* Wed Mar 23 2004 Hayato YOKOTA <yokochie@milk.freemail.ne.jp> 0.85RC3
- First release.
